Subject: Re: [PATCH 1/2] diff: introduce --stat-lines to limit the stat lines

From: "Michael J Gruber" <[email-masked]>
Date: Sun, 01 May 2011 10:27:08 +0200

On Fri, 29 Apr 2011 09:15 -0700, "Junio C Hamano" <[email-masked]>
wrote:
> Michael J Gruber <[email-masked]> writes:
> 
> > I would even consider a default of 10 (i.e. show a 20 line stat in full,
> > abbreviate larger ones) to be sensible but have refrained from such a
> > behaviour change.
> >
> > We have hardcoded defaults for width (80) and name-width (50), so having
> > one for lines should be okay also. Can I has tis wiz default? ;)
> 
> The terminal has fixed width to be apportioned but has an infinite height
> with scrolling, so that comparison is somewhat bogus.
> 
> This should be called "count", not "lines".  Anticipate a future where we
> introduce a variant of --stat (in a way similar to how --numstat is a
> variant of --stat) that displays its result with two lines per entry.
> 
> Also getting (N+1) "lines" output for specifying N feels very unnatural.
> 
It's actually 2*(N+1): The first and last N, plus the "..." line.

With "count" I would expect to see the first N lines/items. That's even
simpler to do. Do you think that makes more sense then head+tail?

Michael